Page MenuHomeFreeBSD

Bug 206940 - zpool (command terminology) misused to describe a pool
ClosedPublic

Authored by sd_beastie.io on Apr 30 2016, 2:46 PM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 24 2017, 8:53 PM
Unknown Object (File)
Apr 9 2017, 3:01 AM
Unknown Object (File)
Apr 8 2017, 12:49 AM
Unknown Object (File)
Apr 3 2017, 11:41 AM
Unknown Object (File)
Jan 12 2017, 8:51 PM
Unknown Object (File)
Nov 20 2016, 9:23 PM
Unknown Object (File)
Nov 16 2016, 11:45 PM
Unknown Object (File)
Nov 16 2016, 10:32 AM
Subscribers

Details

Summary

Change incorrect term zpool to pool. It should be 'pool' to be correct even though informally, everyone refers to the pool as zpool.

  • change main term from zpool to pool and fix up references
  • put in a few other igor cleanups
Test Plan

igor and full doc build

Diff Detail

Repository
rD FreeBSD doc repository - subversion
Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

sd_beastie.io retitled this revision from to Bug 206940 - zpool (command terminology) misused to describe a pool.
sd_beastie.io updated this object.
sd_beastie.io edited the test plan for this revision. (Show Details)
sd_beastie.io added reviewers: allanjude, wblock.
sd_beastie.io set the repository for this revision to rD FreeBSD doc repository - subversion.
en_US.ISO8859-1/books/handbook/zfs/chapter.xml
2440

This is output from a command and should not be changed. Or rather, changed in the source, but not here.

3479

The ID change is okay, but it is important to build the document to make sure that xrefs to the previous name aren't broken.

3537

Better to use <command> here rather than the man reference:

in <command>zpool create</command>.  All vdevs
3538

Moving the "must be" to this line is a whitespace-only change, and should not be mixed with a content change. But the suggestion for the previous line makes that unnecessary anyway.

Done - patch coming soon.

en_US.ISO8859-1/books/handbook/zfs/chapter.xml
3479

xref checked by full build.

3538

This still ends up being on the next line b/c of the command start and end tags.

sd_beastie.io marked an inline comment as done.

Updated diff based on review comments

en_US.ISO8859-1/books/handbook/zfs/chapter.xml
2268

Not your fault, but the "no files can be" is just unpleasant. Better:

Files cannot be
3538

No, wrapping that line is a whitespace-only change. So you have to break the formatting rules while making the content change:

in <command>zpool create</command>.  All vdevs must be
at least 128&nbsp;MB in size.</para>

That too-long line will be fixed in the followup whitespace-only commit.

sd_beastie.io marked 4 inline comments as done.

Updated based on review feedback.

en_US.ISO8859-1/books/handbook/zfs/chapter.xml
3538

Got it.

This revision is now accepted and ready to land.May 24 2016, 2:04 AM
allanjude edited edge metadata.

fine with me

This revision was automatically updated to reflect the committed changes.